import request from '@/utils/request'

// 获取表单数据
export function getQueryList(data) {
  return request({
    url: '/boman-web-core/p/cs/table/getByTableName',
    method: 'POST',
    data
  })
}
// 获取表单查询字段、按钮、表头
export function getTableQuery(data) {
  return request({
    url: '/boman-web-core/p/cs/getTableQuery',
    method: 'POST',
    data
  })
}

// 保存
export function addbjectSave(data) {
  return request({
    url: '/boman-web-core/p/cs/objectSave',
    method: 'POST',
    data
  })
}
// 获取表单列表数据
export function getObject(data) {
  return request({
    url: '/boman-web-core/p/cs/getObject',
    method: 'POST',
    data
  })
}
// 根据表名获取表单信息
export function getByTableName(data) {
  return request({
    url: '/boman-web-core/p/cs/table/getByTableName',
    method: 'POST',
    data
  })
}
export function delMenu(id) {
  return request({
    url: 'boman-web-core/p/cs/objectDelete',
    method: 'delete'
  })
}

// 提交
export function tableSubimt(data) {
  return request({
    url: '/boman-web-core/p/cs/objectSubmit',
    method: 'POST',
    data
  })
}
 // 反提交
 export function tableSubimtanit(data) {
   return request({
     url: '/boman-web-core/p/cs/objectUnSubmit',
     method: 'POST',
     data
   })
 }
// 获取表单tab数据
 export function geteditindeTab(data) {
   return request({
     url: '/boman-web-core/p/cs/objectTab',
     method: 'POST',
     data
   })
 }